Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007527TestLinkReports - Test Report on Buildpublic2016-05-03 03:322016-09-08 15:12
Reporterericli 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.14 (2015 Q3) 
Fixed in Version1.9.15 (2015 Q4) 
Summary0007527: Hyperlink to Test Suite in Table of Content doesn't work
DescriptionHyperlink to Test case works well, but when clicking on the test suite name from Table of Content (TOC), it seems doesn't work.

Steps To ReproduceSelect "REPORT"
Select "Test report on Build"
Select any test plan, then check the test suite link on TOC.
Additional InformationProblem found in \lib\functions\print.inc.php:

Line: 1714 (Latest dev release Apr-24,2016)

$code .= "<a name='". prefixToHTMLID($context['prefix']) . "'></a>\n";

should change to:

$code .= "<a name='". prefixToHTMLID($tocPrefix) . "'></a>\n";
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0007262closedfman Availables hot-fixes for 1.9.14 & How To get full fixed package from GitHub 

-  Notes
(0024778)
fman (administrator)
2016-05-04 12:51

thanks, I'm going to check
(0025247)
fman (administrator)
2016-09-08 15:12

1.9.15 Released - 2016-09-08

- Issue History
Date Modified Username Field Change
2016-05-03 03:32 ericli New Issue
2016-05-04 12:51 fman Note Added: 0024778
2016-05-08 08:37 fman QA Team - Task Workflow Status => TBD
2016-05-08 08:37 fman Summary Hyperlink to Test Suite in Table of Content cannot work => Hyperlink to Test Suite in Table of Content doesn't work
2016-05-08 08:37 fman Relationship added child of 0007262
2016-05-08 08:38 fman QA Team - Task Workflow Status TBD => TESTED
2016-05-08 08:38 fman Fixed in Version => 1.9.15 (2015 Q4)
2016-05-08 08:38 fman QA Team - Task Workflow Status TESTED => READY FOR TESTING
2016-05-08 08:38 fman Status new => resolved
2016-05-08 08:38 fman Resolution open => fixed
2016-05-08 08:38 fman Assigned To => fman
2016-09-08 15:12 fman Note Added: 0025247
2016-09-08 15:12 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker